Loading...
Searching...
No Matches
volk_32fc_s32f_power_32fc.h File Reference
`#include <inttypes.h>`
`#include <math.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions

static lv_32fc_t | __volk_s32fc_s32f_power_s32fc_a (const lv_32fc_t exp, const float power)
| raise a complex float to a real float power
static void | volk_32fc_s32f_power_32fc_generic (lv_32fc_t *cVector, const lv_32fc_t *aVector, const float power, unsigned int num_points)

## Function Documentation

## __volk_s32fc_s32f_power_s32fc_a()

lv_32fc_t __volk_s32fc_s32f_power_s32fc_a | ( | const lv_32fc_t | exp,
|  | const float | power )

inline static

raise a complex float to a real float power

## volk_32fc_s32f_power_32fc_generic()

void volk_32fc_s32f_power_32fc_generic | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const float | power,
|  | unsigned int | num_points )

inline static